Jump to content

Informations PHP6


crocxx

Recommended Posts

Bonjour,

Quelqu'un a t'il des news sur la sortie officiel de PHP6? Je pensé quel été sortie mais je ne trouve pas de paquets pour Debian ni beaucoup d'actualité sur le sujet malgré mes recherche.

crocxx

Edited by crocxx
Link to comment
Share on other sites

Bonjour,

Ne mettons pas la charrue avant les boeufs. ;)

Php6 n'est pas encore sorti, même pas en version Alpha. Donc pour les paquets Debian il faudra encore patienter un moment.

Les infos sont sur le site php.net ... c'est là que la sortie officielle sera annoncée en premier lieu.

Link to comment
Share on other sites

Hello,

comme le dit Dan, PHP 6 ce n'est pas pour tout de suite. La prochaine "grande évolution" de PHP c'est la 5.3 et c'est déjà pas mal : elle inclus une grande partie des nouveautés qui étaient annoncées pour PHP 6, ormis l'unicode quoi.

Quand à Debian, pour la version stable il faut généralement compter entre 6 mois à 2 ans de "retard" :D Par exemple PHP 5 n'est officiellement arrivé en Debian stable avec Etch soit en avril 2007, alors que la première version (non beta) de PHP 5 est sortie en juillet 2004. Bref, patience... pour le moment on est même pas certain que PHP 5.3 soit dans la prochaine version de Debian.

Edited by Kioob
Link to comment
Share on other sites

Ok merci a vous deux pour les infos, j'ai du temps à patienter alors ^^

C'est vrai que il y a des news sur php.net, mais a part le manuel il n'y a pas grand chose en français sur le site officiel, va falloir que je me mette vraiment à l'anglais :)

Edited by crocxx
Link to comment
Share on other sites

Même type de config sur le projet que l'on met en ligne lundi (enfin normalement), et pire, ils voulaient m'obliger à travailler en latin1, pas de possibilité d'avoir la bibli mcrypt (et ne souhaitent pas l'installer) que du md5, le plus dur cela à été avec la bibliothèque GD qui n'était pas installée, qu'ils ne voulaient pas installer, mais ils voulaient quand même du traitement d'image :nonono: => si on installe un bibli, on risque de tout péter

Link to comment
Share on other sites

Il y a certains choix que je trouve risqués quand même : se trainer une vieille appli "réseau" dont les mises à jour de sécurité ne sont plus assurées, ça me semble plus dangereux que la migration vers la nouvelle version.

Link to comment
Share on other sites

Elle sont nombreuses les sociétés qui ne ce m'êtes pas à jour sur les technologies,

Mais il faut les comprendre, ce tenir à jour cela ne rapporte pas d'argent directement et le client moyen voie souvent que l'aspect extérieur. :)

Mais bon moi je ne suis pas une société et je veus du PHP6, je me suis mi a PDO depuis quelques mois juste pour ça... ^^

Edited by crocxx
Link to comment
Share on other sites

En faite je me suis mis a PDO pour facilité la transition avec PHP6 mais ce qui m'intéresse particulièrement c'est le support de l'utf-8 car je travail presque exclusivement dans cette encodage pour mes sites :)

Link to comment
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
×
×
  • Create New...